.modal-dialog {
  @include media-breakpoint-up(sm) {
    max-width: 90%;
  }

  &.modal-lg {
    @media (min-width: 1400px) {
      max-width: 65%;
    }
  }

  &.modal-md {
    @media (min-width: 1400px) {
      max-width: 35%;
    }
  }
}

.modal-medi {
  .modal-content {
    border: 0;

    .modal-body {
      padding: 0;

      .login-left {
        background-color: #011b40;
        background-image: url("../images/home/login-footer.png");
        background-position: center bottom;
        background-repeat: no-repeat;
        background-size: contain;
        min-height: 555px;
        text-align: center;

        .login-white {
          display: inline-block;
          padding: 40px 0 55px;
        }

        .login-title {
          display: block;
          text-align: center;
          margin-bottom: 10px;
          line-height: 1.35;
          font-size: 20px;
          font-weight: bold;
          color: white;
        }

        p {
          text-align: center;
          margin-bottom: 35px;
          color: white;
        }
      }

      .login-right {
        display: block;
        text-align: center;
        padding: 15px 55px;
      }

      .collaborate-form {
        padding: 30px 50px 45px;
        text-align: center;

        .collaborate-form-title {
          font-weight: 600;
          font-size: 20px;
          line-height: 30px;
          text-align: center;
          color: #193d6b;
        }

        p {
          margin-bottom: 25px;
        }
      }

      .login-right-title {
        font-weight: 600;
        margin-bottom: 25px;
        font-size: 20px;
        line-height: 30px;
        text-align: center;
        color: #193d6b;
      }

      .form-group {
        padding: 8px 15px 8px 45px;
        border: 1px solid #dddddd;
        @include border-radius(50px);

        img {
          position: absolute;
          left: 30px;
          top: 18px;
        }

        input,
        select {
          padding: 0;
          border: 0;
          background-color: transparent;
          color: $navy;

          &::placeholder {
            color: #768697;
          }

          &:focus {
            outline: none;
            box-shadow: none;
          }
        }
      }

      .modal-btn {
        display: block;
        width: 100%;
        background: $blue;
        border: 1px solid $blue;
        padding: 10px 25px;
        color: white;
        font-weight: 500;
        font-size: 18px;
        line-height: 32px;
        text-align: center;
        white-space: nowrap;
        vertical-align: middle;
        outline: none;
        @include border-radius(50px);
        @include transition(all, 0.25s);

        &:hover,
        &:focus {
          background: white;
          color: $blue;
        }
      }
    }
  }
}

.modal-medi-books {
  .modal-content {
    padding: 0;

    .modal-body {
      padding: 0;

      .confirm-block-right {
        display: block;
        position: relative;
        padding: 25px;
        background-color: $modal-bg;

        .chat-box {
          display: block;
          margin: 0 auto;
          width: 80%;
          text-align: left;
          padding: 15px 15px 30px;
          background: url("../images/shape/chatbox.png") no-repeat center center /
            contain;
          font-size: 16px;

          .chat-box-number {
            white-space: nowrap;
            font-weight: bold;
            color: $blue;
          }
        }

        .chat-box-img {
          display: block;
          width: 100%;
          margin: 35px auto 0;
        }
      }

      .confirm-block-left {
        display: block;
        position: relative;
        padding: 40px 35px;

        p {
          margin-bottom: 15px;
        }
      }

      .thanks-wrapper {
        display: block;
        position: relative;
        text-align: center;
        padding: 40px;

        .thanks-wrapper-icon {
          display: inline;
          margin: 0 auto 10px;
        }

        .thanks-wrapper-info {
          display: block;
          text-align: center;
          margin: 0 0 45px;
          strong {
            display: block;
          }
        }
      }

      .page-button {
        width: 100%;
      }
    }
  }
}

.modal-close {
  position: absolute;
  top: -15px;
  right: -20px;
  cursor: pointer;
  z-index: 10;
  width: 34px;
  height: 34px;
  background: #ffffff;
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.11);
  border: 0;
  @include border-radius(50%);
  @include media-breakpoint-down(sm) {
    top: -45px;
    right: 0;
  }

  .icon-close {
    position: absolute;
    left: 50%;
    top: 50%;
    display: block;
    width: 12px;
    height: 12px;
    background: url("../images/icon/close.svg") no-repeat center center / 100%
      auto;
    @include translate(-50%, -50%);
  }
}
